Bug 1284216 - Wrong stylus button mapping with Intuos 5s
Wrong stylus button mapping with Intuos 5s
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 19:27 EST by Alberto Ferrante
Modified: 2016-04-09 10:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: xorg-x11-drv-wacom-0.30.0-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-09 10:21:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Ferrante 2015-11-21 19:27:26 EST
Description of problem:
Using a Wacom Intuos 5S (both wireless USB), the buttons on the stylus are not working correctly. Both using xsetwacom and kcm_wacomtablet, button 3 does not work correctly even if correctly mapped to X11 button 3 (mouse right button): as behavior it stays mapped to X11 button 2 (mouse left button). Other buttons seems to be mapped fine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom-0.30.0-3.fc23.x86_64
kcm_wacomtablet-2.1.0-2.20150702gitg8ad842e.fc23.x86_64

How reproducible:
Plug an Intous 5S device and try to use the buttons on the stylus

Actual results:
Button 3 behaves as button 2 and this cannot be changed,


Expected results:
Button 3 is mapped to X11 button 3 event.


Additional info:
Everything was working correctly in fedora 22.
After the upgrade, it was necessary to delete device 0026 from /usr/share/wacomtablet/data/waltop_devicelist to make the tablet recognized in the correct way.
Removing the x11 driver, the buttonow work as expected.
Comment 1 Alberto Ferrante 2015-11-28 07:44:29 EST
The problem remains even after the recent kernel (4.2.6-301) and libwacom updates (0.16-1).
Comment 2 Alberto Ferrante 2015-11-28 07:48:48 EST
An additional problem, that has been there since a few months is that, when mapping the character (or the key) "<" to a button of the tablet, the character "z" is instead generated.
Comment 3 Peter Hutterer 2015-12-02 23:25:21 EST
run evemu-record against the "Wacom Intuos5S Pen" device (similar name, anyway) and check if the button reported is BTN_STYLUS2.

what does xev report when you press the button?

what's the output of xinput list-props "Wacom Intuos 5S Pen Pen" (or something like that, check xinput list)
Comment 4 Alberto Ferrante 2015-12-03 18:44:22 EST
The button reported evemu-record is BTN_STYLUS2

Xev reports button 1 both for button 1 and 2 of the styus:
ButtonPress event, serial 40, synthetic NO, window 0x1a00001,
    root 0x2ed, subw 0x0, time 15417439, (49,108), root:(49,137),
    state 0x10, button 1, same_screen YES
Comment 5 Peter Hutterer 2015-12-03 18:55:06 EST
What's the output of xinput list-props?
Comment 6 Alberto Ferrante 2015-12-04 17:48:04 EST
xinput list-props "Wacom Intuos5 touch S Pen stylus"
Device 'Wacom Intuos5 touch S Pen stylus':
        Device Enabled (150):   1
        Coordinate Transformation Matrix (152): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
        Device Accel Profile (281):     0
        Device Accel Constant Deceleration (282):       1.000000
        Device Accel Adaptive Deceleration (283):       1.000000
        Device Accel Velocity Scaling (284):    10.000000
        Device Node (272):      "/dev/input/event6"
        Wacom Tablet Area (336):        0, 0, 31496, 19685
        Wacom Rotation (337):   0
        Wacom Pressurecurve (338):      0, 0, 100, 100
        Wacom Serial IDs (303): 38, 0, 2, 0, 0
        Wacom Serial ID binding (304):  0
        Wacom Pressure Threshold (305): 27
        Wacom Sample and Suppress (306):        0, 1
        Wacom Enable Touch (307):       0
        Wacom Hover Click (339):        1
        Wacom Enable Touch Gesture (308):       0
        Wacom Touch Gesture Parameters (309):   0, 0, 250
        Wacom Tool Type (310):  "STYLUS" (332)
        Wacom Button Actions (311):     "Wacom button action 0" (312), "Wacom button action 1" (313), "Wacom button action 2" (314), "None" (0), "None" (0), "None" (0), "None" (0), "Wacom button action 3" (315), "Wacom button action 4" (316)
        Wacom button action 0 (312):    1572865
        Wacom button action 1 (313):    1572865
        Wacom button action 2 (314):    1572865
        Wacom button action 3 (315):    1572872
        Wacom button action 4 (316):    1572873
        Wacom Pressure Recalibration (340):     1
        Device Product ID (273):        1386, 38
        Wacom Debug Levels (331):       0, 0
Comment 7 Peter Hutterer 2015-12-07 01:31:06 EST
        Wacom button action 0 (312):    1572865
        Wacom button action 1 (313):    1572865
        Wacom button action 2 (314):    1572865

these are the actions for buttons 1, 2, 3. in the wacom driver, button 1 is the tip, 2 and 3 are the two stylus buttons. That number translates to 
  0x80000 | 0x00100000 | 1
which is the code for button | press | button number 1. i.e. whatever sets this configuration sets the same button number for all stylus buttons.
so I'm punting this to kcm_wacomtablet for now.


Also note: button 2 in X is the middle button, button 1 is the left mouse button.
Comment 8 Alberto Ferrante 2016-03-04 12:44:55 EST
After many tests and removals of configuration files, I think I found the problem:
if you execute any xset command like the following, things go wrong
xsetwacom set 17 Button 2 2
(id 17 corresponds to the Stylus)

This command (or alike) seems also to be executed by kcm_wacomtablet when you set the values for buttons 1, 2, 3 in the graphic interface.

I have had this xset command in the script that I use for setting up the tablet for a long time, but it started going wrong with the introduction of Fedora 23; probably, it is a bug in that specific version fo xset (not the only one, such as the > keyboard key incorrectly mapped).
Comment 9 Alberto Ferrante 2016-03-04 12:46:51 EST
Of course I meant xsetwacom instead of xset!

> I have had this xset command in the script that I use for setting up the
> tablet for a long time, but it started going wrong with the introduction of
> Fedora 23; probably, it is a bug in that specific version fo xset (not the
> only one, such as the > keyboard key incorrectly mapped).
Comment 10 Fedora Update System 2016-04-04 00:59:50 EDT
xorg-x11-drv-wacom-0.30.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0571e677ea
Comment 11 Fedora Update System 2016-04-05 11:53:59 EDT
xorg-x11-drv-wacom-0.30.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0571e677ea
Comment 12 Fedora Update System 2016-04-09 10:21:34 EDT
xorg-x11-drv-wacom-0.30.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.